from datetime import datetime, timedelta
import requests
import time
import sys

from azure.storage.blob import (        
    generate_blob_sas,
    BlobSasPermissions
)

AZURE_ACC_NAME = sys.argv[1]
AZURE_PRIMARY_KEY = sys.argv[2]
AZURE_CONTAINER = sys.argv[3]
AZURE_BLOB = sys.argv[4]
AZURE_URL_SUFFIX = sys.argv[5]

input_sas_blob = generate_blob_sas(account_name=AZURE_ACC_NAME,
                                container_name=AZURE_CONTAINER,
                                blob_name=AZURE_BLOB,
                                account_key=AZURE_PRIMARY_KEY,
                                permission=BlobSasPermissions(read=True),
                                expiry=datetime.utcnow() + timedelta(hours=1),
                              )

print('SupportBundleLink https://'+AZURE_ACC_NAME+AZURE_URL_SUFFIX+'/'+AZURE_CONTAINER+'/'+AZURE_BLOB+'?'+input_sas_blob)

